---
agentTools:
  projectIndex: https://spyse-dev.readme.io/llms.txt
---

# List

Returns details about all file downloads performed during the last 90 days. By default, GET operations, which return a list of requested items, return only the first 25 items. To get a different set of items, you can use the offset and limit parameters in the query string of the GET request.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "The purpose of this application is to provide authorized access to the data of the spyse project.",
    "title": "Data API",
    "version": "4.0.0"
  },
  "paths": {
    "/account/downloads": {
      "get": {
        "description": "Returns details about all file downloads performed during the last 90 days. By default, GET operations, which return a list of requested items, return only the first 25 items. To get a different set of items, you can use the offset and limit parameters in the query string of the GET request.",
        "tags": [
          "Downloads"
        ],
        "summary": "List",
        "operationId": "downloads_list",
        "parameters": [
          {
            "x-go-name": "Limit",
            "description": "The maximum number of items to return per page. Value must be in the range between 1 and 100.",
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int64",
              "minimum": 1,
              "maximum": 100
            }
          },
          {
            "x-go-name": "Offset",
            "description": "The offset of the item at which to begin the response. Value must be in the range between 1 and 9999.",
            "name": "offset",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int64",
              "minimum": 0,
              "maximum": 9999
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Operation successful",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/FilesListResponse"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          },
          "500": {
            "description": "Internal server error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.spyse.com/v4/data/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "Error": {
        "description": "Error is represents response error model",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "x-go-name": "Code"
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/FieldError"
            },
            "x-go-name": "Errors"
          },
          "message": {
            "type": "string",
            "x-go-name": "Message"
          }
        }
      },
      "ErrorResponse": {
        "description": "ErrorResponse is returned on request handling error",
        "type": "object",
        "properties": {
          "error": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "FieldError": {
        "description": "FieldError is represents response fields error model",
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "x-go-name": "Code"
          },
          "location": {
            "type": "string",
            "x-go-name": "Location"
          },
          "message": {
            "type": "string",
            "x-go-name": "Message"
          }
        }
      },
      "FileMetaData": {
        "type": "object",
        "properties": {
          "download_url": {
            "description": "The URL where the file can be downloaded for. The field is present only if the file status equals to `success` and its lifetime is not expired.",
            "type": "string",
            "x-go-name": "FileLink"
          },
          "file_format": {
            "description": "The file format. This will be the same as the `file_format` query parameter passed to the download initiation API endpoint. Supported values: ndjson, csv.",
            "type": "string",
            "x-go-name": "Format"
          },
          "id": {
            "description": "The unique identifier that represents the file creation process. This identifier is assigned to the file and returned by the download initiation API endpoint when the client initiates file creation process.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "ID"
          },
          "request_description": {
            "description": "An optional field that the client can pass as a query parameter `description` to the download initiation API endpoint. Max length: 254 characters.",
            "type": "string",
            "x-go-name": "RequestDescription"
          },
          "request_id": {
            "description": "The unique identifier assigned to the file download is associated with the download initiation HTTP request. If any errors occur this identifier should be provided to the service staff and will be used for troubleshooting.",
            "type": "string",
            "x-go-name": "RequestID"
          },
          "requested_at": {
            "description": "The date when the file creation was requested by the client.",
            "type": "string",
            "format": "date-time",
            "x-go-name": "CreatedAt"
          },
          "rows_count": {
            "description": "The number of rows present in the file.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "RowsCount"
          },
          "status": {
            "description": "The status of the file creation: `success` - The file was created successfully. `pending` - The file creation process is still running. `failed` - The file creation failed due to an internal error. `removed` - The file was removed after its lifetime expiration and is not available for download anymore. All files are removed 90 days after their creation.",
            "type": "string",
            "x-go-name": "Status"
          },
          "updated_at": {
            "description": "The date when the file information was updated last time.",
            "type": "string",
            "format": "date-time",
            "x-go-name": "UpdatedAt"
          }
        }
      },
      "FilesListData": {
        "description": "FilesListData includes returning list of items",
        "allOf": [
          {
            "$ref": "#/components/schemas/FilesListPagination"
          },
          {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/FileMetaData"
                },
                "x-go-name": "Items"
              }
            }
          }
        ],
        "x-class": "FilesListPagination"
      },
      "FilesListPagination": {
        "description": "FilesListPagination includes pagination data",
        "type": "object",
        "properties": {
          "limit": {
            "description": "The limit used for this page of results. This will be the same as the `limit` query parameter unless it exceeded the maximum value allowed for this API endpoint.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Limit"
          },
          "offset": {
            "description": "The offset used for this page of results.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "Offset"
          },
          "total_items": {
            "description": "The number of files that are or were available for download for the user.",
            "type": "integer",
            "format": "int64",
            "x-go-name": "TotalCount"
          }
        }
      },
      "FilesListResponse": {
        "description": "FilesListResponse returns file meta data entity",
        "type": "object",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/FilesListData"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 96,
      "1": 116,
      "2": 57,
      "3": 140,
      "4": 54,
      "5": 155,
      "6": 214,
      "7": 2,
      "8": 125,
      "9": 74,
      "10": 155,
      "11": 87
    }
  }
}
```